xine-lib: metronom_s Struct Reference

xine-lib 1.2.12

Data Fields
metronom_s Struct Reference

`#include <metronom.h>`

## Data Fields
void(* | set_audio_rate )(metronom_t *self, int64_t pts_per_smpls)
void(* | got_video_frame )(metronom_t *self, vo_frame_t *frame)
int64_t(* | got_audio_samples )(metronom_t *self, int64_t pts, int nsamples)
int64_t(* | got_spu_packet )(metronom_t *self, int64_t pts)
void(* | handle_audio_discontinuity )(metronom_t *self, int type, int64_t disc_off)
void(* | handle_video_discontinuity )(metronom_t *self, int type, int64_t disc_off)
void(* | set_option )(metronom_t *self, int option, int64_t value)
int64_t(* | get_option )(metronom_t *self, int option)
void(* | set_master )(metronom_t *self, metronom_t *master)
void(* | exit )(metronom_t *self)

## Field Documentation

## ◆ exit

void(* metronom_s::exit) (metronom_t *self)

Referenced by xine_dispose_internal(), and xine_stream_new().

## ◆ get_option

int64_t(* metronom_s::get_option) (metronom_t *self, int option)

Referenced by get_duration(), spudec_decode_data(), vdr_metronom_get_option(), and xine_get_param().

## ◆ got_audio_samples

int64_t(* metronom_s::got_audio_samples) (metronom_t *self, int64_t pts, int nsamples)

Referenced by ao_put_buffer(), and vdr_metronom_got_audio_samples().

## ◆ got_spu_packet

int64_t(* metronom_s::got_spu_packet) (metronom_t *self, int64_t pts)

Referenced by cc_renderer_calc_vpts(), hide_overlays(), show_overlay(), spudec_decode_data(), and vdr_metronom_got_spu_packet().

## ◆ got_video_frame

void(* metronom_s::got_video_frame) (metronom_t *self, vo_frame_t *frame)

Referenced by _x_post_frame_u_turn(), vdr_metronom_got_video_frame(), and vo_frame_draw().

## ◆ handle_audio_discontinuity

void(* metronom_s::handle_audio_discontinuity) (metronom_t *self, int type, int64_t disc_off)

Referenced by audio_decoder_loop(), and vdr_metronom_handle_audio_discontinuity().

## ◆ handle_video_discontinuity

void(* metronom_s::handle_video_discontinuity) (metronom_t *self, int type, int64_t disc_off)

Referenced by vdr_metronom_handle_video_discontinuity(), and video_decoder_loop().

## ◆ set_audio_rate

void(* metronom_s::set_audio_rate) (metronom_t *self, int64_t pts_per_smpls)

Referenced by ao_change_settings(), stretch_port_put_buffer(), and vdr_metronom_set_audio_rate().

## ◆ set_master

void(* metronom_s::set_master) (metronom_t *self, metronom_t *master)

Referenced by vdr_metronom_set_master().

## ◆ set_option

void(* metronom_s::set_option) (metronom_t *self, int option, int64_t value)

Referenced by dxr3_open_plugin(), get_duration(), metronom_set_master(), open_plugin(), vdr_metronom_got_video_frame(), vdr_metronom_set_option(), and xine_set_param().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/include/xine/metronom.h